
@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}


.animated-heading {
    text-align: center;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 1.5s ease-out, transform 1.5s ease-out;
}


.animated-heading.show {
    opacity: 1;
    transform: translateY(0);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
}

body {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    overflow-x: hidden; 
    max-width: 100vw;
}
 

.navbar {
  background-color: #000000;
  color: #fff;
  color: white;
  padding: 20px;
  position: fixed;
  width: 100%;
  top: 0;
  z-index: 999;
  display: flex;
  align-items: center;
}

.navbar-container {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

.logo {
      font-size: 25px;
      margin-bottom: 2px; 
      color: #fdfdfd;
}

.navbar-logo {
  height: 10px; /* Adjust based on your logo size */
  margin-right: 30px;
  max-height: max-content;
 
}
  
  /* Desktop Navigation */
  .menu-desktop {
    display: flex;
    gap: 45px;
    align-items: center;
    margin-right: 12px;
  }
  .menu-desktop a {
    text-decoration: none;
    color: rgb(255, 255, 255);
  }
  .menu-desktop .divider {
    color: rgba(255, 255, 255, 0.308);
  }
  
  
  /* Responsive: Mobile */
  @media (max-width: 768px) {
    .menu-desktop {
      display: none;
    }
    .menu-mobile {
      display: flex;
    }
    .logo {
      font-size: 25px;
    }
  }
    .navbar-logo {
    margin-right: 10px;
    height: 30px;
  }


.search-container {
    margin: 15px auto;
    text-align: center;
}

.search-input {
    width: 70%;
    max-width: 400px;
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 20px;
    font-size: 16px;
}

.fixed-header {
  position: sticky;
  top: 70px; /* Adjust if navbar height changes */
  background-color: #fff;
  z-index: 998;
  padding-top: 30px;
  padding-bottom: 10px;
  border-bottom: 1px solid #ffffff;
}

.section-title {
  margin: 0;
  text-align: center;
  color: #004aad;
  font-size: 30px;
}

.card-container {
    display: flex;
    flex-wrap: wrap; 
    justify-content: center; 
    align-items: center;
    gap: 0px; 
    max-width: 90vw; 
    margin: auto;
}
.card {
    width: 300px;
    margin: 20px ;
    background: #f5f5f5;
    padding: 15px;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.card-footer {
    display: flex;
    justify-content: space-between;
    align-items: baseline; 
}

.title {
    margin-bottom: 5px ;
    font-size: large;
    font-weight: bold;
    margin-right: 10px;
    margin-left: 5px;
}

.title span {
    font-weight: normal;
    line-height: 20px;
    font-size: small;
    color: #555;
    display: inline-block;
    margin-top: 5px; 
}

.btn {
    display: inline-block;
    background: rgb(1, 67, 128);
    margin-top: 5px;
    color: white;
    border: none;
    padding-top: 8px 16px;
    border-radius: 5px;
    cursor: pointer;
    font-size: 14px;
}

.card button:hover {
    background: rgb(1, 32, 90);
}


.button-container {
    display: flex;
    gap: 10px;
    align-items: center;
}

.btn {
    display: inline-block;
    padding: 8px 16px;
    background-color: #054ab3;
    color: white;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
}


.btn:hover {
    background: #01367c;
    color: white;
}

.gns {
    text-align: center;
    margin: 25px auto;
   }

.gns h2 {
    font-size: 1.7em;
    color: rgb(0, 0, 0);
    margin-bottom: 5px;
    margin: auto 80px;
}

.small-btn {
    background-color: #287fe4;
    border-color: #004aad;
    border-radius: 5px;
    width: 40px;
    height: 40px;
    font-size: 20px;
    margin: auto;
}

.long-btn {
    padding: 10px 20px;
    margin: auto;
}
.feedback {
    padding: 40px 10%;
    background-color: #323333;
    text-align: center;
    position: relative;
    z-index: 10;
    width: 100%;
}

.feedback h6 {
    font-size: 2em;
    color: white;
    margin-bottom: 5px;
}

.feedback p {
    font-size:large;
    color: #c8c8ca;
}
.feedback a {
    color: #f7dc48;
    text-decoration: none; 
    margin-top: auto;
}


.feedback a:hover {
    color: rgb(248, 238, 181);
}

.donation-section {
    text-align: center;
    padding: 20px;
    margin: 20px auto;
    border-radius: 8px;
    max-width: 500px;
}

.donation-section h3 {
    color: #05214b;
    font-size: 20px;
}

.donation-section p {
    font-size: small;
    color: #3b4253;
}

.donate-btn {
    display: inline-block;
    padding: 10px 20px;
    background: hsla(207, 96%, 20%, 0.884);;
    color: #E5F4FF;
    text-decoration: none;
    border-radius: 25px;
    font-weight: bold;
    margin-top: 10px;
}

.donate-btn:hover {
    background: #010f36;
    color: #ffffff;
}

.footer {
    margin-top: 50px;
    padding: 20px;
    background: rgb(0, 0, 0);
    color: white;
    font-size: 14px;
    text-align: center;
    width: 100%;
}
a {
    color: rgb(128, 126, 126); 
    text-decoration: none; 
    margin-top: auto;
}


a:hover {
    color: rgb(68, 67, 67);
}

footer p {
    margin: 0;
}
#pdfModal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 1000;
  }
  .loader {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 6px solid #f3f3f3;
  border-top: 6px solid #333;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  animation: spin 1s linear infinite;
  z-index: 1000;
}

@keyframes spin {
  0% { transform: translate(-50%, -50%) rotate(0deg); }
  100% { transform: translate(-50%, -50%) rotate(360deg); }
}

  .modal-content {
    background-color: #fff;
    padding: 5px;
    width: 100%;
    height: 100%;
    max-width:100%;
    max-height: 100%;
    overflow: hidden;
    border-radius: 0;
    text-align: center;
  }
  
  #pdf-scroll-wrapper {
    overflow-y: auto;
    max-height: 100%; /* Adjust as needed */
    padding: 5px; /* To prevent scrollbars overlapping */
  }
  
  #pdf-container {
    display: block;
    margin: 0;
  }
  
  #pdf-container canvas {
    width: 100% !important;
    height: 100% !important;
    display: block;
    margin: 0 auto 20px;
    border-radius: 4px;
  }
  
  .close-btn {
    position: absolute;
    background-color: #007BFF;
    color: white;
    margin-right: 5px;
    margin-top: 5px;
    padding-left: 10px;
    padding-right: 10px;
    border-radius: 5px;
    top: 20px;
    right: 20px;
    font-size: 20px;
    cursor: pointer;
    
  }

  .download-btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    gap: 8px;
    padding: 12px 24px;
    background-color: #007BFF;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    font-weight: bold;
    font-size: 16px;
    cursor: pointer;
    transition: background 0.3s ease;
    border: none;
    width: 100%;
    margin-left: 20px auto;

  }
  
  .download-btn:hover {
    background-color: #0056b3;
    color: #ffffff;
  }
  

  
@media (max-width: 768px) {
    .container {
        padding: 10px;
    }

    .filters {
        flex-direction: column;
    }
}
